-- MySQL dump 10.13  Distrib 5.1.73, for redhat-linux-gnu (x86_64)
--
-- Host: localhost    Database: PPordersmanagement
-- ------------------------------------------------------
-- Server version	5.1.73-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `accounts`
--

DROP TABLE IF EXISTS `accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `accounts` (
  `id_account` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `account_token` varchar(255) NOT NULL,
  `account_alias` varchar(255) NOT NULL,
  `company_name` varchar(45) NOT NULL,
  `email` varchar(192) NOT NULL,
  `phone` varchar(192) NOT NULL,
  `address` varchar(255) NOT NULL,
  `id_account_type` int(10) unsigned NOT NULL,
  `id_business` int(10) unsigned NOT NULL,
  `id_business_size` int(10) unsigned NOT NULL,
  `country_iso` char(2) NOT NULL,
  `id_currency` int(10) unsigned NOT NULL,
  `website` varchar(192) NOT NULL,
  `timezone` int(10) unsigned NOT NULL,
  `verified` tinyint(1) NOT NULL,
  `active` tinyint(1) unsigned NOT NULL,
  `remember_token` text NOT NULL,
  `update_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_account`),
  KEY `a_id_business` (`id_business`),
  KEY `a_id_currency` (`id_currency`),
  CONSTRAINT `a_id_business` FOREIGN KEY (`id_business`) REFERENCES `business_categories` (`id_business`) ON DELETE CASCADE,
  CONSTRAINT `a_id_currency` FOREIGN KEY (`id_currency`) REFERENCES `currencies` (`id_currency`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `accounts`
--

LOCK TABLES `accounts` WRITE;
/*!40000 ALTER TABLE `accounts` DISABLE KEYS */;
INSERT INTO `accounts` VALUES (1,'asdasd1','account_alias_1','Demo1','email2@gmail.com','9152541','address_1',3,1,1,'pt',1,'website_1',1,1,1,'token1','2021-07-16 11:34:25','2021-07-15 10:34:26');
/*!40000 ALTER TABLE `accounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `accounts_integration_related`
--

DROP TABLE IF EXISTS `accounts_integration_related`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `accounts_integration_related` (
  `id_integration` int(10) unsigned NOT NULL,
  `id_account` int(10) unsigned NOT NULL,
  `value` text NOT NULL,
  `active` tinyint(1) unsigned NOT NULL,
  `updated_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_integration`,`id_account`),
  KEY `air_id_account` (`id_account`),
  CONSTRAINT `air_id_account` FOREIGN KEY (`id_account`) REFERENCES `accounts` (`id_account`) ON DELETE CASCADE,
  CONSTRAINT `air_id_integration` FOREIGN KEY (`id_integration`) REFERENCES `integration_types` (`id_integration`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `accounts_integration_related`
--

LOCK TABLES `accounts_integration_related` WRITE;
/*!40000 ALTER TABLE `accounts_integration_related` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounts_integration_related` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `accounts_services`
--

DROP TABLE IF EXISTS `accounts_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `accounts_services` (
  `id_account` int(10) unsigned NOT NULL,
  `id_service` tinyint(3) unsigned NOT NULL,
  `register_date` datetime NOT NULL,
  PRIMARY KEY (`id_account`,`id_service`),
  KEY `as_id_service` (`id_service`),
  CONSTRAINT `as_id_account` FOREIGN KEY (`id_account`) REFERENCES `accounts` (`id_account`) ON DELETE CASCADE,
  CONSTRAINT `as_id_service` FOREIGN KEY (`id_service`) REFERENCES `services` (`id_service`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `accounts_services`
--

LOCK TABLES `accounts_services` WRITE;
/*!40000 ALTER TABLE `accounts_services` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounts_services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `accounts_types`
--

DROP TABLE IF EXISTS `accounts_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `accounts_types` (
  `id_account_type` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `description` varchar(255) NOT NULL DEFAULT '',
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_account_type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `accounts_types`
--

LOCK TABLES `accounts_types` WRITE;
/*!40000 ALTER TABLE `accounts_types` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounts_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `business_categories`
--

DROP TABLE IF EXISTS `business_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `business_categories` (
  `id_business` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_business`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `business_categories`
--

LOCK TABLES `business_categories` WRITE;
/*!40000 ALTER TABLE `business_categories` DISABLE KEYS */;
INSERT INTO `business_categories` VALUES (1,'0000-00-00 00:00:00');
/*!40000 ALTER TABLE `business_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `business_categories_l10n`
--

DROP TABLE IF EXISTS `business_categories_l10n`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `business_categories_l10n` (
  `id_l10n` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_business` int(10) unsigned NOT NULL,
  `iso_language` varchar(10) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL,
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_l10n`),
  KEY `bln_id_business` (`id_business`),
  CONSTRAINT `bln_id_business` FOREIGN KEY (`id_business`) REFERENCES `business_categories` (`id_business`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `business_categories_l10n`
--

LOCK TABLES `business_categories_l10n` WRITE;
/*!40000 ALTER TABLE `business_categories_l10n` DISABLE KEYS */;
/*!40000 ALTER TABLE `business_categories_l10n` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `business_sizes`
--

DROP TABLE IF EXISTS `business_sizes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `business_sizes` (
  `id_business` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_business`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `business_sizes`
--

LOCK TABLES `business_sizes` WRITE;
/*!40000 ALTER TABLE `business_sizes` DISABLE KEYS */;
INSERT INTO `business_sizes` VALUES (1,'0000-00-00 00:00:00');
/*!40000 ALTER TABLE `business_sizes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `business_sizes_l10n`
--

DROP TABLE IF EXISTS `business_sizes_l10n`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `business_sizes_l10n` (
  `id_l10n` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_business` int(10) unsigned NOT NULL,
  `iso_language` varchar(10) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL,
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_l10n`),
  KEY `bsln_id_business` (`id_business`),
  CONSTRAINT `bsln_id_business` FOREIGN KEY (`id_business`) REFERENCES `business_sizes` (`id_business`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `business_sizes_l10n`
--

LOCK TABLES `business_sizes_l10n` WRITE;
/*!40000 ALTER TABLE `business_sizes_l10n` DISABLE KEYS */;
INSERT INTO `business_sizes_l10n` VALUES (1,1,'pt','desc','2021-07-15 11:33:17');
/*!40000 ALTER TABLE `business_sizes_l10n` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `continents`
--

DROP TABLE IF EXISTS `continents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `continents` (
  `iso` char(2) NOT NULL,
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`iso`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `continents`
--

LOCK TABLES `continents` WRITE;
/*!40000 ALTER TABLE `continents` DISABLE KEYS */;
/*!40000 ALTER TABLE `continents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `continents_l10n`
--

DROP TABLE IF EXISTS `continents_l10n`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `continents_l10n` (
  `id_l10n` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `continent_iso` char(2) NOT NULL,
  `iso_language` varchar(10) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL,
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_l10n`),
  KEY `coln_continent_iso` (`continent_iso`),
  CONSTRAINT `coln_continent_iso` FOREIGN KEY (`continent_iso`) REFERENCES `continents` (`iso`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `continents_l10n`
--

LOCK TABLES `continents_l10n` WRITE;
/*!40000 ALTER TABLE `continents_l10n` DISABLE KEYS */;
/*!40000 ALTER TABLE `continents_l10n` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries`
--

DROP TABLE IF EXISTS `countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `countries` (
  `iso` char(2) NOT NULL COMMENT 'Two-letter country code (ISO 3166-1 alpha-2)',
  `iso3` char(3) NOT NULL COMMENT 'Three-letter country code (ISO 3166-1 alpha-3)',
  `numcode` smallint(3) unsigned zerofill NOT NULL COMMENT 'Three-digit country number (ISO 3166-1 numeric)',
  `continent_iso` char(2) NOT NULL,
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`iso`),
  KEY `continent_iso` (`continent_iso`),
  CONSTRAINT `fk_countries_continents` FOREIGN KEY (`continent_iso`) REFERENCES `continents` (`iso`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries`
--

LOCK TABLES `countries` WRITE;
/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries_l10n`
--

DROP TABLE IF EXISTS `countries_l10n`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `countries_l10n` (
  `id_l10n` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `country_iso` char(2) NOT NULL,
  `iso_language` varchar(10) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL,
  `full_printable_name` varchar(255) NOT NULL,
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_l10n`),
  KEY `cln_country_iso` (`country_iso`),
  CONSTRAINT `cln_country_iso` FOREIGN KEY (`country_iso`) REFERENCES `countries` (`iso`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries_l10n`
--

LOCK TABLES `countries_l10n` WRITE;
/*!40000 ALTER TABLE `countries_l10n` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries_l10n` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `currencies`
--

DROP TABLE IF EXISTS `currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `currencies` (
  `id_currency` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `iso3` char(3) NOT NULL,
  `symbol` varchar(255) NOT NULL,
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_currency`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `currencies`
--

LOCK TABLES `currencies` WRITE;
/*!40000 ALTER TABLE `currencies` DISABLE KEYS */;
INSERT INTO `currencies` VALUES (1,'EUR','€','2021-07-16 11:33:45'),(2,'GBP','£','2021-07-16 11:33:45'),(3,'USD','$','2021-07-16 11:33:45'),(4,'CHF','CHF','2021-07-16 11:33:45');
/*!40000 ALTER TABLE `currencies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `currencies_l10n`
--

DROP TABLE IF EXISTS `currencies_l10n`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `currencies_l10n` (
  `id_l10n` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_currency` int(10) unsigned NOT NULL,
  `iso_language` varchar(10) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL,
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_l10n`),
  KEY `cln_id_currency` (`id_currency`),
  CONSTRAINT `cln_id_currency` FOREIGN KEY (`id_currency`) REFERENCES `currencies` (`id_currency`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `currencies_l10n`
--

LOCK TABLES `currencies_l10n` WRITE;
/*!40000 ALTER TABLE `currencies_l10n` DISABLE KEYS */;
INSERT INTO `currencies_l10n` VALUES (1,1,'pt','Euro','2021-07-16 11:34:01'),(2,2,'pt','British Pound','2021-07-16 11:34:01'),(3,3,'pt','US Dollar','2021-07-16 11:34:01'),(4,4,'pt','Swiss Franc','2021-07-16 11:34:01');
/*!40000 ALTER TABLE `currencies_l10n` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `integration_types`
--

DROP TABLE IF EXISTS `integration_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `integration_types` (
  `id_integration` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL DEFAULT '',
  `image` varchar(255) NOT NULL,
  `position` int(10) NOT NULL DEFAULT '1',
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_integration`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `integration_types`
--

LOCK TABLES `integration_types` WRITE;
/*!40000 ALTER TABLE `integration_types` DISABLE KEYS */;
/*!40000 ALTER TABLE `integration_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `languages` (
  `iso` varchar(10) NOT NULL,
  `language` varchar(128) NOT NULL,
  `level` int(10) NOT NULL,
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`iso`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locations`
--

DROP TABLE IF EXISTS `locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locations` (
  `id_location` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `description` varchar(255) NOT NULL DEFAULT '',
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_location`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locations`
--

LOCK TABLES `locations` WRITE;
/*!40000 ALTER TABLE `locations` DISABLE KEYS */;
/*!40000 ALTER TABLE `locations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `orders`
--

DROP TABLE IF EXISTS `orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `orders` (
  `id_order` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_account` int(10) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `state` int(1) unsigned NOT NULL DEFAULT '1',
  `update_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_order`),
  KEY `o_id_account` (`id_account`),
  CONSTRAINT `o_id_account` FOREIGN KEY (`id_account`) REFERENCES `accounts` (`id_account`) ON DELETE NO ACTION ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `orders`
--

LOCK TABLES `orders` WRITE;
/*!40000 ALTER TABLE `orders` DISABLE KEYS */;
INSERT INTO `orders` VALUES (1,1,1,'name','description',1,'0000-00-00 00:00:00','2023-06-26 10:35:59'),(2,1,1,'---','---',1,'0000-00-00 00:00:00','2023-07-13 12:25:50'),(3,1,1,'---','---',4,'0000-00-00 00:00:00','2023-07-13 12:56:09');
/*!40000 ALTER TABLE `orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `orders_products_related`
--

DROP TABLE IF EXISTS `orders_products_related`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `orders_products_related` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_account` int(10) unsigned NOT NULL,
  `id_order` int(10) unsigned NOT NULL,
  `id_product` int(10) unsigned NOT NULL,
  `quantity` int(10) unsigned NOT NULL DEFAULT '0',
  `state` int(1) unsigned NOT NULL DEFAULT '1',
  `position` int(10) unsigned NOT NULL DEFAULT '1',
  `update_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `opr_id_account` (`id_account`),
  KEY `opr_id_product` (`id_product`),
  KEY `opr_id_order` (`id_order`),
  CONSTRAINT `opr_id_account` FOREIGN KEY (`id_account`) REFERENCES `accounts` (`id_account`) ON DELETE NO ACTION ON UPDATE CASCADE,
  CONSTRAINT `opr_id_order` FOREIGN KEY (`id_order`) REFERENCES `orders` (`id_order`) ON DELETE NO ACTION ON UPDATE CASCADE,
  CONSTRAINT `opr_id_product` FOREIGN KEY (`id_product`) REFERENCES `products` (`id_product`) ON DELETE NO ACTION ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `orders_products_related`
--

LOCK TABLES `orders_products_related` WRITE;
/*!40000 ALTER TABLE `orders_products_related` DISABLE KEYS */;
INSERT INTO `orders_products_related` VALUES (2,1,1,1,10,1,1,'0000-00-00 00:00:00','2023-07-07 10:02:07'),(3,1,3,1,1,1,1,'0000-00-00 00:00:00','2023-07-13 15:42:02'),(4,1,3,3,2,1,1,'0000-00-00 00:00:00','2023-07-13 15:42:02'),(5,1,2,1,2,1,1,'0000-00-00 00:00:00','2023-07-13 15:44:46');
/*!40000 ALTER TABLE `orders_products_related` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `personal_access_tokens`
--

DROP TABLE IF EXISTS `personal_access_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `personal_access_tokens` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `tokenable_id` bigint(20) unsigned NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `token` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `abilities` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `personal_access_tokens`
--

LOCK TABLES `personal_access_tokens` WRITE;
/*!40000 ALTER TABLE `personal_access_tokens` DISABLE KEYS */;
INSERT INTO `personal_access_tokens` VALUES (1,'App\\Extensions\\GenericUser',1,'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36','4337ce8074405cfede9fdde78467f042fc2181c80355388d3e1688b4b86f920b','[\"*\"]','2023-07-12 16:42:37','2023-07-12 09:19:14','2023-07-12 16:42:37'),(2,'App\\Extensions\\GenericUser',1,'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36','6f51cc7335c2b10b77f1bbf36465d02a2ef90ec4c660905414da51b32330b9c1','[\"*\"]','2023-07-13 15:45:50','2023-07-13 08:32:54','2023-07-13 15:45:50'),(3,'App\\Extensions\\GenericUser',1,'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36','7542c3939bde12a88ad47d1b0a5b1d681d5e96cef42b7d77bc953e4d51500523','[\"*\"]','2023-07-13 11:51:12','2023-07-13 11:51:11','2023-07-13 11:51:12');
/*!40000 ALTER TABLE `personal_access_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `products`
--

DROP TABLE IF EXISTS `products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `products` (
  `id_product` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_account` int(10) unsigned NOT NULL,
  `id_supplier` int(10) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `image` varchar(255) NOT NULL,
  `vat` varchar(255) NOT NULL DEFAULT '0',
  `price` float(10,2) unsigned NOT NULL DEFAULT '0.00',
  `units` varchar(255) NOT NULL,
  `active` int(1) unsigned NOT NULL DEFAULT '1',
  `update_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_product`),
  KEY `p_id_account` (`id_account`),
  KEY `p_id_supplier` (`id_supplier`),
  CONSTRAINT `p_id_account` FOREIGN KEY (`id_account`) REFERENCES `accounts` (`id_account`) ON DELETE NO ACTION ON UPDATE CASCADE,
  CONSTRAINT `p_id_supplier` FOREIGN KEY (`id_supplier`) REFERENCES `suppliers` (`id_supplier`) ON DELETE NO ACTION ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `products`
--

LOCK TABLES `products` WRITE;
/*!40000 ALTER TABLE `products` DISABLE KEYS */;
INSERT INTO `products` VALUES (1,1,1,'name','description','image','vat',10.20,'kg',1,'0000-00-00 00:00:00','2023-06-26 10:35:43'),(2,1,1,'name','description','image','vat',10.20,'kg',1,'0000-00-00 00:00:00','2023-07-05 15:21:09'),(3,1,1,'name','description','image','vat',10.20,'kg',1,'2023-07-05 15:22:43','2023-07-05 15:21:55'),(4,1,1,'name','description','image','vat',10.20,'kg',1,'0000-00-00 00:00:00','2023-07-05 16:12:40'),(5,1,2,'test','---','image.xyz','13',12.00,'Option 3',1,'2023-07-12 17:11:50','2023-07-12 17:04:40'),(6,1,10,'ppp','---','image.xyz','6',13.00,'Option 1',1,'2023-07-13 10:06:46','2023-07-13 10:04:45'),(7,1,10,'ppp 2','---','image.xyz','4',114.00,'Option 1',1,'0000-00-00 00:00:00','2023-07-13 10:05:18'),(8,1,11,'ppppppp','---','image.xyz','50',20.00,'Option 2',1,'2023-07-13 10:14:32','2023-07-13 10:14:03');
/*!40000 ALTER TABLE `products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `roles` (
  `id_role` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `description` varchar(192) NOT NULL,
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_role`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'admin','0000-00-00 00:00:00');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `services`
--

DROP TABLE IF EXISTS `services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `services` (
  `id_service` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(192) NOT NULL,
  `description` varchar(255) NOT NULL,
  `is_default` tinyint(1) unsigned NOT NULL,
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_service`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `services`
--

LOCK TABLES `services` WRITE;
/*!40000 ALTER TABLE `services` DISABLE KEYS */;
/*!40000 ALTER TABLE `services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions` (
  `id` varchar(191) NOT NULL,
  `user_id` bigint(20) unsigned DEFAULT NULL,
  `ip_address` varchar(45) DEFAULT NULL,
  `user_agent` text,
  `payload` text NOT NULL,
  `last_activity` int(11) NOT NULL,
  UNIQUE KEY `sessions_id_unique` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sessions`
--

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `suppliers`
--

DROP TABLE IF EXISTS `suppliers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `suppliers` (
  `id_supplier` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_account` int(10) unsigned NOT NULL,
  `company_name` varchar(255) NOT NULL,
  `brand_name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `image` varchar(255) NOT NULL,
  `address` varchar(255) NOT NULL,
  `zipcode` varchar(255) NOT NULL,
  `city` varchar(255) NOT NULL,
  `vat_number` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `phone` varchar(255) NOT NULL,
  `position` int(10) unsigned NOT NULL DEFAULT '1',
  `active` int(1) unsigned NOT NULL DEFAULT '1',
  `update_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_supplier`),
  KEY `m_id_account` (`id_account`),
  CONSTRAINT `m_id_account` FOREIGN KEY (`id_account`) REFERENCES `accounts` (`id_account`) ON DELETE NO ACTION ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `suppliers`
--

LOCK TABLES `suppliers` WRITE;
/*!40000 ALTER TABLE `suppliers` DISABLE KEYS */;
INSERT INTO `suppliers` VALUES (1,1,'campany name','brand_name','description','image','address','4500','city','vat_number','email@email.com','900000',1,1,'2023-07-06 23:46:58','2023-06-26 10:33:24'),(2,1,'campany name','brand_name','description','image','address','4500','city','vat_number','email@email.com','900000',1,1,'0000-00-00 00:00:00','2023-07-06 09:27:49'),(3,1,'Teste','ttt','tttt','500.png','teste','4740-272','Esposende','12','lmarafona@youongroup.com','923456789',1,1,'0000-00-00 00:00:00','2023-07-12 15:30:01'),(4,1,'Teste','aaaa','aaaa','image.xyz','teste','4740-272','Esposende','12','lmarafona@youongroup.com','923456789',1,1,'0000-00-00 00:00:00','2023-07-12 15:45:34'),(5,1,'test 5','t','ttt','image.xyz','test','4740-272','Esposende','11','lmarafona@youongroup.com','923456789',1,1,'0000-00-00 00:00:00','2023-07-12 17:18:43'),(6,1,'testeeee 6','ttt','ttt','image.xyz','Aqui','111','1','11','lmarafona@youongroup.com','923456789',1,1,'2023-07-12 17:22:56','2023-07-12 17:19:21'),(8,1,'cc','bb','ddd','image.xyz','rua','1','Esposende','33','lmarafona@youongroup.com','923456789',1,1,'0000-00-00 00:00:00','2023-07-13 10:01:47'),(9,1,'c 2','b','ddd','image.xyz','rua','1','Esposende','123','lmarafona@youongroup.com','923456789',1,1,'0000-00-00 00:00:00','2023-07-13 10:03:09'),(10,1,'c','b','ddd','image.xyz','rua','1','Esposende','123','lmarafona@youongroup.com','923456789',1,1,'0000-00-00 00:00:00','2023-07-13 10:04:45'),(11,1,'ttt','tt','ttt','image.xyz','tt','1','Esposende','333','lmarafona@youongroup.com','923456789',1,1,'0000-00-00 00:00:00','2023-07-13 10:14:03');
/*!40000 ALTER TABLE `suppliers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id_user` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_token` varchar(255) NOT NULL,
  `firstname` varchar(192) NOT NULL,
  `lastname` varchar(192) NOT NULL,
  `email` varchar(192) NOT NULL,
  `password` varchar(192) NOT NULL,
  `verified` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `active` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `lang` varchar(2) NOT NULL DEFAULT 'en',
  `remember_token` text NOT NULL,
  `update_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_user`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'','YouOn','Group','youongroup@gmail.com','$2y$04$nwOjV.d1ATa5M8idiihOmeux8pgPyYr7Bawbv7RmQlbD4P3oJRHd6',0,1,'pt','','2022-02-11 09:19:44','0000-00-00 00:00:00');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users_accounts`
--

DROP TABLE IF EXISTS `users_accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_accounts` (
  `id_user` int(10) unsigned NOT NULL,
  `id_account` int(10) unsigned NOT NULL,
  `id_role` int(10) unsigned NOT NULL,
  `last_login` datetime NOT NULL,
  `register_date` datetime NOT NULL,
  PRIMARY KEY (`id_user`,`id_account`),
  KEY `ua_id_account` (`id_account`),
  KEY `ua_id_role` (`id_role`),
  CONSTRAINT `ua_id_account` FOREIGN KEY (`id_account`) REFERENCES `accounts` (`id_account`) ON DELETE CASCADE,
  CONSTRAINT `ua_id_role` FOREIGN KEY (`id_role`) REFERENCES `roles` (`id_role`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `ua_id_user` FOREIGN KEY (`id_user`) REFERENCES `users` (`id_user`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_accounts`
--

LOCK TABLES `users_accounts` WRITE;
/*!40000 ALTER TABLE `users_accounts` DISABLE KEYS */;
INSERT INTO `users_accounts` VALUES (1,1,1,'0000-00-00 00:00:00','0000-00-00 00:00:00');
/*!40000 ALTER TABLE `users_accounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users_password_resets`
--

DROP TABLE IF EXISTS `users_password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_password_resets` (
  `id_reset` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(192) NOT NULL,
  `token` varchar(255) NOT NULL,
  `used` tinyint(1) unsigned NOT NULL,
  `expires_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `update_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `register_date` datetime NOT NULL,
  PRIMARY KEY (`id_reset`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_password_resets`
--

LOCK TABLES `users_password_resets` WRITE;
/*!40000 ALTER TABLE `users_password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `users_password_resets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `zones`
--

DROP TABLE IF EXISTS `zones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `zones` (
  `id_zone` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `description` varchar(255) NOT NULL DEFAULT '',
  `register_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_zone`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `zones`
--

LOCK TABLES `zones` WRITE;
/*!40000 ALTER TABLE `zones` DISABLE KEYS */;
/*!40000 ALTER TABLE `zones` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'PPordersmanagement'
--
/*!50003 DROP FUNCTION IF EXISTS `FN_GET_SERVICES` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 FUNCTION `FN_GET_SERVICES`(
_id_account int,
_id_service int
) RETURNS tinyint(1)
BEGIN

  DECLARE _enabled tinyint(1);  
  IF EXISTS(SELECT id_service FROM accounts_services WHERE id_service = _id_service AND id_account = _id_account)
  	THEN
  		SET _enabled = 1;
  	ELSE
  		SET _enabled = 0;
  	END IF;

RETURN _enabled;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_DEL_ORDER` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_DEL_ORDER`(
IN _id_account INT(10),
IN _id_order INT(10)
)
BEGIN

DECLARE _empty INT;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF EXISTS (SELECT id_account FROM accounts WHERE id_account = _id_account) AND EXISTS (SELECT id_order FROM orders WHERE id_order = _id_order)
THEN
	DELETE FROM orders WHERE id_account = _id_account AND id_order = _id_order;
	SELECT 0 as return_code;
ELSE
    SELECT -2 as return_code;
END IF;
    
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_DEL_PRODUCT` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_DEL_PRODUCT`(
IN _id_account INT(10),
IN _id_product INT(10),
IN _id_supplier INT(10)
)
BEGIN

DECLARE _empty INT;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF EXISTS(SELECT id_product FROM products WHERE id_product = _id_product) AND EXISTS (SELECT id_account FROM accounts WHERE id_account = _id_account) AND EXISTS (SELECT id_supplier FROM suppliers WHERE id_supplier = _id_supplier)
THEN
	DELETE FROM products WHERE id_product = _id_product AND id_account = _id_account AND id_supplier = _id_supplier;
	SELECT 0 as return_code;
ELSE
    SELECT -2 as return_code;
END IF;
    
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_DEL_PRODUCT_FROM_ORDER` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_DEL_PRODUCT_FROM_ORDER`(
IN _id_account INT(10),
IN _id INT(10)
)
BEGIN

DECLARE _empty INT;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF EXISTS(SELECT id FROM orders_products_related WHERE id = _id) AND EXISTS (SELECT id_account FROM accounts WHERE id_account = _id_account)
THEN
	DELETE FROM orders_products_related WHERE id = _id AND id_account = _id_account;
	SELECT 0 as return_code;
ELSE
    SELECT -2 as return_code;
END IF;
    
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_DEL_SUPPLIER` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_DEL_SUPPLIER`(
IN _id_account INT(10),
IN _id_supplier INT(10)
)
BEGIN

DECLARE _empty INT;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF EXISTS (SELECT id_account FROM accounts WHERE id_account = _id_account) AND EXISTS (SELECT id_supplier FROM suppliers WHERE id_supplier = _id_supplier)
THEN
	DELETE FROM suppliers WHERE id_account = _id_account AND id_supplier = _id_supplier;
	SELECT 0 as return_code;
ELSE
    SELECT -2 as return_code;
END IF;
    
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_DEL_USER_ACCOUNT` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_DEL_USER_ACCOUNT`(
IN _id_user INT,
IN _id_account INT
)
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;
IF EXISTS (SELECT id_user from users where id_user = _id_user) AND EXISTS (SELECT id_account from accounts where id_account = _id_account)
AND EXISTS (SELECT id_user,id_account FROM users_accounts where id_user = _id_user AND id_account = _id_account)
THEN
	DELETE FROM users_accounts where id_user = _id_user AND id_account = _id_account;
	Select 0 as return_code;
ELSE
	SELECT -2 as return_code;
END IF;
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_ACCOUNT` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_ACCOUNT`(
IN _field int(10),
IN _value varchar(192)
)
BEGIN

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

SET @_value = _value;

SET sqlcommand = "SELECT id_account, account_token,account_alias, company_name, email, phone, address,id_account_type, id_business,id_business_size, country_iso, website, timezone, verified, active,update_date,register_date FROM accounts WHERE 1=1 ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_account = ? ORDER BY company_name ASC");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND email = ? ORDER BY company_name ASC");
WHEN _field = 3 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND account_token = ? ORDER BY company_name ASC");
ELSE SET sqlcommand = CONCAT(sqlcommand, " ORDER BY company_name ");
END CASE;

SET @sqlcommand = sqlcommand;

PREPARE stmt FROM @sqlcommand;

CASE
WHEN _field <> 0 THEN
EXECUTE stmt USING @_value;
ELSE 
EXECUTE stmt;    
END CASE;  

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_ACCOUNT_USERS` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_ACCOUNT_USERS`(
IN _id_account int(10),
IN _field int(10),
IN _query varchar(192),
IN _filter varchar(192),
IN _order int(10),
IN _order_by int(10),
IN _limit_a int(10),
IN _limit_b int(10)
)
BEGIN

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF(_limit_b = -1)
THEN
  SELECT count(1) into _limit_b FROM users_accounts WHERE id_account = _id_account;
END IF;

SET @_name = CONCAT("%",_query,"%");
SET @_email = CONCAT("%",_query,"%");
SET @_id_account = _id_account;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;


IF EXISTS(SELECT id_account FROM accounts WHERE id_account = _id_account)
THEN

SET sqlcommand = "SELECT ua.id_user, user_token, firstname, lastname, email, verified, active, lang, ua.id_role, r.description, ua.register_date FROM users u, users_accounts ua, roles r
	WHERE ua.id_user = u.id_user AND r.id_role = ua.id_role AND ua.id_account = @_id_account ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND firstname like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND email like @_email ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

CASE
WHEN _order_by = 11000 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY firstname ASC");
WHEN _order_by = 11001 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY ua.register_date ASC");

WHEN _order_by = 11000 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY firstname DESC");
WHEN _order_by = 11001 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY ua.register_date DESC");

ELSE SET sqlcommand = CONCAT(sqlcommand, " ORDER BY firstname ASC");
END CASE;

SET sqlcommand = CONCAT(sqlcommand, " LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;     
        

ELSE
	SELECT -2 as return_code;
END IF;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_ACCOUNT_USERS_COUNT` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_ACCOUNT_USERS_COUNT`(
IN _id_account int(10),
IN _field int(10),
IN _query varchar(192),
IN _filter varchar(192)
)
BEGIN

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

SET @_name = CONCAT("%",_query,"%");
SET @_email = CONCAT("%",_query,"%");
SET @_id_account = _id_account;

IF EXISTS(SELECT id_account FROM accounts WHERE id_account = _id_account)
THEN

SET sqlcommand = "SELECT count(1) as total FROM users u, users_accounts ua, roles r
	WHERE ua.id_user = u.id_user AND r.id_role = ua.id_role AND ua.id_account = @_id_account ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND firstname like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND email like @_email ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt;     
        

ELSE
	SELECT -2 as return_code;
END IF;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_BUSINESS_CATEGORIES` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_BUSINESS_CATEGORIES`(
IN _lang VARCHAR(10)
)
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

SELECT ti.id_business,description FROM business_categories ti, business_categories_l10n l10n WHERE ti.id_business = l10n.id_business AND iso_language = _lang ORDER by description;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_BUSINESS_SIZES` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_BUSINESS_SIZES`(
IN _lang VARCHAR(10)
)
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

SELECT ti.id_business,description FROM business_sizes ti, business_sizes_l10n l10n WHERE ti.id_business = l10n.id_business AND iso_language = _lang ORDER by description;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_COUNTRIES` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_COUNTRIES`(
IN _lang VARCHAR(10)
)
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

SELECT iso,iso3,description FROM  countries c, countries_l10n l10n WHERE c.iso = l10n.country_iso AND iso_language = _lang ORDER by description;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_CURRENCIES` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_CURRENCIES`(
IN _lang VARCHAR(10)
)
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

SELECT c.id_currency,iso3,symbol,description FROM  currencies c, currencies_l10n l10n WHERE c.id_currency = l10n.id_currency AND iso_language = _lang ORDER by description;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_LANGUAGES` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_LANGUAGES`()
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

	SELECT iso, language,level FROM languages;
    
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_ORDER` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_ORDER`(
IN _id_account int(10),
IN _id_order int(10)
)
BEGIN

	-- call SP_GET_ORDER(1,1)
	
-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF EXISTS(SELECT id_order FROM orders WHERE id_order = _id_order) AND EXISTS (SELECT id_account FROM accounts WHERE id_account = _id_account)
THEN
    SELECT id_account,id_order,id_user,name,description,state,(SELECT count(1) FROM orders_products_related opr WHERE opr.id_order = o.id_order) as total_products,
(SELECT sum(price*quantity) FROM orders_products_related opr,products p WHERE p.id_product = opr.id_product AND opr.id_order = o.id_order) as total_price,update_date,register_date 
FROM orders o WHERE id_account = _id_account AND o.id_order = _id_order; 
ELSE
	SELECT -2 as return_code;
END IF;
        
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_ORDERS` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_ORDERS`(
IN _id_account int(10),
IN _field int(10),
IN _query varchar(192),
IN _filter varchar(192),
IN _order int(10),
IN _order_by int(10),
IN _limit_a int(10),
IN _limit_b int(10)
)
BEGIN

-- call SP_GET_ORDERS(1,0,'',0,0,0,0,10)

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF(_limit_b = -1)
THEN
  SELECT count(1) into _limit_b FROM orders WHERE id_account = _id_account;
END IF;

SET @_name = CONCAT("%",_query,"%");
SET @_id_order = _filter;
SET @_id_account = _id_account;
SET @_num_x = _filter;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT id_account,id_order,id_user,name,description,state,(SELECT count(1) FROM orders_products_related opr WHERE opr.id_order = o.id_order) as total_products,
(SELECT sum(price*quantity) FROM orders_products_related opr,products p WHERE p.id_product = opr.id_product AND opr.id_order = o.id_order) as total_price,update_date,register_date 
FROM orders o WHERE id_account = @_id_account ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_order like @_id_order ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

CASE
WHEN _order_by = 11000 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name ASC");
WHEN _order_by = 11001 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date ASC");

WHEN _order_by = 10000 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name DESC");
WHEN _order_by = 10001 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date DESC");

ELSE SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name ASC");
END CASE;

SET sqlcommand = CONCAT(sqlcommand, " LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;     
        
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_ORDERS_COUNT` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_ORDERS_COUNT`(
IN _id_account int(10),
IN _field int(10),
IN _query varchar(192),
IN _filter varchar(192)
)
BEGIN

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;


SET @_name = CONCAT("%",_query,"%");
SET @_id_order = _filter;
SET @_id_account = _id_account;
SET @_num_x = _filter;

SET sqlcommand = "SELECT count(1) as total FROM suppliers WHERE id_account = @_id_account ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND company_name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_order like @_id_order ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt;     
        
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_ORDERS_PRODUCTS` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_ORDERS_PRODUCTS`(
IN _id_account int(10),
IN _id_order int(10),
IN _field int(10),
IN _query varchar(192),
IN _filter varchar(192),
IN _order int(10),
IN _order_by int(10),
IN _limit_a int(10),
IN _limit_b int(10)
)
BEGIN

-- call SP_GET_ORDERS_PRODUCTS(1,3,0,'',0,0,0,0,10)

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF(_limit_b = -1)
THEN
  SELECT count(1) into _limit_b FROM orders_products_related WHERE id_account = _id_account;
END IF;

SET @_name = CONCAT("%",_query,"%");
SET @_id_product = _filter;
SET @_id_supplier = _filter;
SET @_id_order = _id_order;
SET @_id_account = _id_account;
SET @_num_x = _filter;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT opr.id,p.id_account,opr.id_order,p.id_product,id_supplier,name,description,image,vat,price,units,p.active,state,quantity,position,p.update_date,p.register_date 
FROM products p, orders_products_related opr WHERE p.id_product = opr.id_product AND p.id_account = @_id_account AND opr.id_order = @_id_order";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND p.id_product = @_id_product ");
WHEN _field = 3 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_supplier = @_id_supplier ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

CASE
WHEN _order_by = 11000 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name ASC");
WHEN _order_by = 11001 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY p.register_date ASC");

WHEN _order_by = 10000 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name DESC");
WHEN _order_by = 10001 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY p.register_date DESC");

ELSE SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name ASC");
END CASE;

SET sqlcommand = CONCAT(sqlcommand, " LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;     
        
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_ORDERS_PRODUCTS_COUNT` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_ORDERS_PRODUCTS_COUNT`(
IN _id_account int(10),
IN _id_order int(10),
IN _field int(10),
IN _query varchar(192),
IN _filter varchar(192)
)
BEGIN

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

SET @_name = CONCAT("%",_query,"%");
SET @_id_product = _filter;
SET @_id_supplier = _filter;
SET @_id_order = _id_order;
SET @_id_account = _id_account;
SET @_num_x = _filter;

SET sqlcommand = "SELECT count(1) as total FROM products p, orders_products_related opr WHERE p.id_product = opr.id_product AND p.id_account = @_id_account AND opr.id_order = @_id_order ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND p.id_product like @_id_product ");
WHEN _field = 3 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_supplier like @_id_supplier ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt;     
        
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_PRODUCT` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_PRODUCT`(
IN _id_account int(10),
IN _id_product int(10)
)
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF EXISTS(SELECT id_product FROM products WHERE id_product = _id_product) AND EXISTS (SELECT id_account FROM accounts WHERE id_account = _id_account)
THEN
    SELECT id_account,id_product,id_supplier,name,description,image,vat,price,units,active,update_date,register_date FROM products WHERE id_product = _id_product AND id_account = _id_account; 
ELSE
	SELECT -2 as return_code;
END IF;
        
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_PRODUCTS` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_PRODUCTS`(
IN _id_account int(10),
IN _field int(10),
IN _query varchar(192),
IN _filter varchar(192),
IN _order int(10),
IN _order_by int(10),
IN _limit_a int(10),
IN _limit_b int(10)
)
BEGIN

-- call SP_GET_PRODUCTS(1,0,'',0,0,0,0,10)

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF(_limit_b = -1)
THEN
  SELECT count(1) into _limit_b FROM products WHERE id_account = _id_account;
END IF;

SET @_name = CONCAT("%",_query,"%");
SET @_id_product = _filter;
SET @_id_supplier = _filter;
SET @_id_account = _id_account;
SET @_num_x = _filter;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT id_account,id_product,id_supplier,name,description,image,vat,price,units,active,update_date,register_date FROM products WHERE id_account = @_id_account ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_product like @_id_product ");
WHEN _field = 3 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_supplier like @_id_supplier ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

CASE
WHEN _order_by = 11000 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name ASC");
WHEN _order_by = 11001 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date ASC");

WHEN _order_by = 10000 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name DESC");
WHEN _order_by = 10001 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date DESC");

ELSE SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name ASC");
END CASE;

SET sqlcommand = CONCAT(sqlcommand, " LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;     
        
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_PRODUCTS_COUNT` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_PRODUCTS_COUNT`(
IN _id_account int(10),
IN _field int(10),
IN _query varchar(192),
IN _filter varchar(192)
)
BEGIN

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;


SET @_name = CONCAT("%",_query,"%");
SET @_id_product = _filter;
SET @_id_supplier = _filter;
SET @_id_account = _id_account;
SET @_num_x = _filter;

SET sqlcommand = "SELECT count(1) as total FROM products WHERE id_account = @_id_account ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_product like @_id_product ");
WHEN _field = 3 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_supplier like @_id_supplier ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt;     
        
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_ROLE` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_ROLE`(
IN _id_role INT
)
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

	SELECT id_role, description FROM roles WHERE id_role = _id_role; 

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_ROLES` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_ROLES`()
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

	SELECT id_role, description FROM roles;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_SERVICE` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_SERVICE`(
IN _id_service INT
)
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

	SELECT id_service, name,description FROM services WHERE id_service = _id_service;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_SERVICES` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_SERVICES`(
IN _id_account INT
)
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

	SELECT id_service, name,description, FN_GET_SERVICES(_id_account,id_service) as enabled FROM services ORDER BY enabled desc,name asc;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_SUPPLIER` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_SUPPLIER`(
IN _id_account int(10),
IN _id_supplier int(10)
)
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF EXISTS(SELECT id_supplier FROM suppliers WHERE id_supplier = _id_supplier) AND EXISTS (SELECT id_account FROM accounts WHERE id_account = _id_account)
THEN
    SELECT id_account,id_supplier,company_name,brand_name,description,image,address,zipcode,city,vat_number,email,phone,position,active,update_date,register_date FROM suppliers WHERE id_supplier = _id_supplier AND id_account = _id_account; 
ELSE
	SELECT -2 as return_code;
END IF;
        
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_SUPPLIERS` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_SUPPLIERS`(
IN _id_account int(10),
IN _field int(10),
IN _query varchar(192),
IN _filter varchar(192),
IN _order int(10),
IN _order_by int(10),
IN _limit_a int(10),
IN _limit_b int(10)
)
BEGIN

-- call SP_GET_SUPPLIERS(1,0,'',0,0,0,0,10)

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF(_limit_b = -1)
THEN
  SELECT count(1) into _limit_b FROM suppliers WHERE id_account = _id_account;
END IF;

SET @_name = CONCAT("%",_query,"%");
SET @_id_supplier = _filter;
SET @_id_account = _id_account;
SET @_num_x = _filter;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT id_account,id_supplier,company_name,brand_name,description,image,address,zipcode,city,vat_number,email,phone,position,active,update_date,register_date FROM suppliers WHERE id_account = @_id_account ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND company_name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_supplier like @_id_supplier ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

CASE
WHEN _order_by = 11000 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY company_name ASC");
WHEN _order_by = 11001 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date ASC");

WHEN _order_by = 10000 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY company_name DESC");
WHEN _order_by = 10001 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date DESC");

ELSE SET sqlcommand = CONCAT(sqlcommand, " ORDER BY company_name ASC");
END CASE;

SET sqlcommand = CONCAT(sqlcommand, " LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;     
        
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_SUPPLIERS_COUNT` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_SUPPLIERS_COUNT`(
IN _id_account int(10),
IN _field int(10),
IN _query varchar(192),
IN _filter varchar(192)
)
BEGIN

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;


SET @_name = CONCAT("%",_query,"%");
SET @_id_supplier = _filter;
SET @_id_account = _id_account;
SET @_num_x = _filter;

SET sqlcommand = "SELECT count(1) as total FROM suppliers WHERE id_account = @_id_account ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND company_name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_supplier like @_id_supplier ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt;     
        
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_USER` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_USER`(
IN _field int(10),
IN _value varchar(192)
)
BEGIN

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

SET @_value = _value;

SET sqlcommand = "SELECT id_user, user_token, firstname, lastname, email, password,remember_token,verified, active, lang,update_date,register_date FROM users WHERE 1=1 ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_user = ? ORDER BY firstname ASC");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND email = ? ORDER BY firstname ASC");
WHEN _field = 3 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND user_token = ? ORDER BY firstname ASC");
ELSE SET sqlcommand = CONCAT(sqlcommand, " ORDER BY firstname ");
END CASE;

SET @sqlcommand = sqlcommand;

PREPARE stmt FROM @sqlcommand;

CASE
WHEN _field <> 0 THEN
EXECUTE stmt USING @_value;
ELSE 
EXECUTE stmt;    
END CASE;  

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_USER_ACCOUNTS` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_USER_ACCOUNTS`(
IN _id_user int(10)
)
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF EXISTS(SELECT id_user FROM users WHERE id_user = _id_user)
THEN
	SELECT a.id_account, account_token, company_name, email, phone, address,id_account_type, id_business,id_business_size, id_currency,country_iso, website, timezone, verified, active, r.id_role, r.description FROM accounts a, users_accounts ua, roles r 
	WHERE ua.id_account = a.id_account AND r.id_role = ua.id_role AND ua.id_user = _id_user ORDER by id_role, company_name;
ELSE
	SELECT -2 as return_code;
END IF;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_GET_USER_PASSWORD_RESET` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_GET_USER_PASSWORD_RESET`(
IN _email varchar(255),
IN _token varchar(255)
)
BEGIN
-- call SP_GET_USER_PASSWORD_RESET('youongroup@gmail.com','01ffbc3ce44w8696a8d33')

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

		IF(SELECT id_reset FROM users_password_resets WHERE email = _email AND token = _token AND used = 0)
            THEN
				IF(SELECT id_reset FROM users_password_resets WHERE email = _email AND token = _token and expires_at > now())
                THEN
					UPDATE users_password_resets SET used = 1, update_date = now() WHERE email = _email AND token = _token AND used = 0;
                    SELECT id_reset,email,token,expires_at FROM users_password_resets WHERE email = _email AND token = _token;
                ELSE
					SELECT -4 as return_code;
                END IF;
             ELSE
             		SELECT -3 as return_code;
            END IF;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_SET_ACCOUNT` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_SET_ACCOUNT`(
IN _id_account int(10),
IN _account_token varchar(255),
IN _account_alias varchar(255),
IN _company_name varchar(192),
IN _email varchar(192),
IN _phone varchar(192),
IN _address varchar(255),
IN _id_account_type int(10),
IN _id_business int(10),
IN _id_business_size int(10),
IN _country_iso char(2),
IN _website varchar(192),
IN _timezone int(10),
IN _verified tinyint(1),
IN _active tinyint(1)
)
BEGIN

DECLARE p_last_id INT UNSIGNED;

START TRANSACTION;

SET p_last_id = 0;

IF(_id_account <> -1)
THEN
	IF EXISTS(SELECT id_account FROM accounts WHERE id_account = _id_account)
	THEN
		IF EXISTS(SELECT id_account FROM accounts WHERE id_account = _id_account AND email = _email)
		THEN
			UPDATE accounts SET account_token = _account_token,account_alias = _account_alias, company_name = _company_name, email = _email, phone = _phone, address = _address, id_account_type = _id_account_type,id_business = _id_business,id_business_size = _id_business_size, country_iso = _country_iso, website = _website, timezone = _timezone, verified = _verified,active = _active, update_date = now() WHERE id_account = _id_account;
			SELECT 0 as return_code, id_account, account_token, account_alias, company_name, email, phone, address, id_account_type, id_business,id_business_size, country_iso, website, timezone, verified, active,update_date,register_date FROM accounts WHERE id_account = _id_account;
		ELSE
			IF NOT EXISTS(SELECT id_account FROM accounts WHERE email = _email)
			THEN
				UPDATE accounts SET account_token = _account_token,account_alias = _account_alias, company_name = _company_name, email = _email, phone = _phone, address = _address, id_account_type = _id_account_type, id_business = _id_business,id_business_size = _id_business_size, country_iso = _country_iso, website = _website, timezone = _timezone,verified = _verified,active = _active, update_date = now() WHERE id_account = _id_account;
				SELECT 0 as return_code, id_account, account_token, account_alias, company_name, email, phone, address, id_account_type, id_business,id_business_size, country_iso, website, timezone, verified, active,update_date,register_date FROM accounts WHERE id_account = _id_account;
			ELSE
				SELECT -2 as return_code;
			END IF;
		END IF;
	ELSE
		SELECT -2 as return_code;
	END IF;
ELSE
		INSERT into accounts(account_token, account_alias, company_name, email, phone, address, id_account_type, id_business,id_business_size,country_iso, website, timezone, verified,active,register_date) VALUES (_account_token,_account_alias, _company_name, _email, _phone, _address, _id_account_type, _id_business,_id_business_size, _country_iso, _website, _timezone,_verified,_active,now());
		SET p_last_id = last_insert_id();
        SELECT 0 as return_code, id_account, account_token, account_alias, company_name, email, phone, address, id_account_type, id_business,id_business_size, country_iso, website, timezone, verified, active,update_date,register_date FROM accounts WHERE id_account = p_last_id;
END IF;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_SET_ORDERS` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_SET_ORDERS`(
IN _id_account INT(10),
IN _id_order INT(10),
IN _id_user INT(10),
IN _name VARCHAR(192),
IN _description text,
IN _state INT(10)
)
BEGIN

-- call SP_SET_ORDERS(1,0,1,'name','description','image','vat',10.2,'kg',1);

DECLARE p_last_id INT UNSIGNED;
DECLARE _empty INT;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

SET p_last_id = 0;

START TRANSACTION;

IF EXISTS (SELECT id_account FROM accounts WHERE id_account = _id_account)
THEN

    IF(_id_order = 0 OR _id_order = -1)
    THEN
            INSERT into orders(id_account,id_user,name,description,state,register_date) VALUES(_id_account,_id_user,_name,_description,_state,now());        
            SET p_last_id = last_insert_id();
            SELECT id_account,id_order,id_user,name,description,state,update_date,register_date FROM orders WHERE id_order = p_last_id AND id_account = _id_account; 
    ELSE       
         IF EXISTS (SELECT id_order FROM orders WHERE id_order = _id_order AND id_account = _id_account)
         THEN
    		UPDATE orders SET name = name,description = description,state = state, update_date = now() WHERE id_order = _id_order AND id_account = _id_account;
            SELECT id_account,id_order,id_user,name,description,state,update_date,register_date FROM orders WHERE id_order = _id_order AND id_account = _id_account; 
         ELSE
            SELECT -2 as return_code;
         END IF;
    END IF;

ELSE
    SELECT -2 as return_code;
END IF;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_SET_PRODUCTS` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_SET_PRODUCTS`(
IN _id_account INT(10),
IN _id_product INT(10),
IN _id_supplier INT(10),
IN _name VARCHAR(192),
IN _description text,
IN _image VARCHAR(255),
IN _vat VARCHAR(255),
IN _price float(10,2),
IN _units VARCHAR(255),
IN _active INT(10)
)
BEGIN

-- call SP_SET_PRODUCTS(1,3,1,'name','description','image','vat',10.2,'kg',1);


DECLARE p_last_id INT UNSIGNED;
DECLARE _empty INT;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

SET p_last_id = 0;

START TRANSACTION;

IF EXISTS (SELECT id_account FROM accounts WHERE id_account = _id_account)
THEN

    IF(_id_product = 0 OR _id_product = -1)
    THEN
            INSERT into products(id_account,id_supplier,name,description,image,vat,price,units,active,register_date) VALUES(_id_account,_id_supplier,_name,_description,_image,_vat,_price,_units,_active,now());        
            SET p_last_id = last_insert_id();
            SELECT id_account,id_product,id_supplier,name,description,image,vat,price,units,active,update_date,register_date FROM products WHERE id_product = p_last_id AND id_account = _id_account; 
    ELSE       
         IF EXISTS (SELECT id_product FROM products WHERE id_product = _id_product AND id_account = _id_account)
         THEN
    		UPDATE products SET id_supplier = _id_supplier,name = _name,description = _description,image = _image,vat = _vat,price = _price,units = _units,active = active, update_date = now() WHERE id_product = _id_product AND id_account = _id_account;
            SELECT id_account,id_product,id_supplier,name,description,image,vat,price,units,active,update_date,register_date FROM products WHERE id_product = _id_product AND id_account = _id_account; 
         ELSE
            SELECT -2 as return_code;
         END IF;
    END IF;

ELSE
    SELECT -2 as return_code;
END IF;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_SET_PRODUCTS_TO_ORDERS` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_SET_PRODUCTS_TO_ORDERS`(
IN _id_account INT(10),
IN _id_order INT(10),
IN _id_product INT(10),
IN _quantity INT(10),
IN _state INT(10),
IN _position INT(10)
)
BEGIN

-- call SP_SET_PRODUCTS_TO_ORDERS(1,1,1,10,1,1);
-- select * from orders_products_related

DECLARE p_last_id INT UNSIGNED;
DECLARE _empty INT;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

SET p_last_id = 0;

START TRANSACTION;

IF EXISTS (SELECT id_account FROM accounts WHERE id_account = _id_account)
THEN

    IF EXISTS (SELECT id_product FROM products WHERE id_product = _id_product) AND EXISTS (SELECT id_order FROM orders WHERE id_order = _id_order)
    THEN

        IF NOT EXISTS(SELECT id_order FROM orders_products_related WHERE id_order = _id_order AND id_product = _id_product)
        THEN
            SELECT count(position)+1 into _position FROM orders_products_related WHERE id_order = _id_order AND id_product = _id_product; 
            INSERT INTO orders_products_related(id_account,id_order,id_product,quantity,position,register_date) VALUES(_id_account,_id_order,_id_product,_quantity,_position,now());
            
            SET p_last_id = last_insert_id();
           	SELECT opr.id,p.id_account,opr.id_order,p.id_product,id_supplier,name,description,image,vat,price,units,p.active,state,quantity,position,p.update_date,p.register_date 
			FROM products p, orders_products_related opr WHERE p.id_product = opr.id_product AND p.id_account = _id_account AND opr.id = p_last_id;
        ELSE
             SELECT -3 as return_code;
        END IF;

    ELSE
        SELECT -2 as return_code;
    END IF;

ELSE
    SELECT -2 as return_code;
END IF;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_SET_SUPPLIERS` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_SET_SUPPLIERS`(
IN _id_account INT(10),
IN _id_supplier INT(10),
IN _company_name VARCHAR(255),
IN _brand_name VARCHAR(255),
IN _description text,
IN _image VARCHAR(255),
IN _address VARCHAR(255),
IN _zipcode VARCHAR(255),
IN _city VARCHAR(255),
IN _vat_number VARCHAR(255),
IN _email VARCHAR(255),
IN _phone VARCHAR(255),
IN _position INT(10),
IN _active INT(10)
)
BEGIN

-- call SP_SET_SUPPLIERS(1,0,'company','brand','descri','image','adress','zipcode','city','vat','email','phone',1,1);
-- CALL SP_SET_SUPPLIERS("1","-1","campany name","brand_name","description","image","address","4500","city","vat_number","email@email.com","900000","1","1");	
-- CALL SP_SET_SUPPLIERS("1", "1", "campany name", "brand_name", "description", "image", "address", "4500", "city","vat_number", "email@email.com", "900000", 1, 1);
	
	
DECLARE p_last_id INT UNSIGNED;
DECLARE _empty INT;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

SET p_last_id = 0;

START TRANSACTION;

IF EXISTS (SELECT id_account FROM accounts WHERE id_account = _id_account)
THEN

    IF(_id_supplier = 0 OR _id_supplier = -1)
    THEN
            INSERT into suppliers(id_account,company_name,brand_name,description,image,address,zipcode,city,vat_number,email,phone,position,active,register_date) VALUES(_id_account,_company_name,_brand_name,_description,_image,_address,_zipcode,_city,_vat_number,_email,_phone,_position,_active,now());        
            SET p_last_id = last_insert_id();
            SELECT id_account,id_supplier,company_name,brand_name,description,image,address,zipcode,city,vat_number,email,phone,position,active,update_date,register_date FROM suppliers WHERE id_supplier = p_last_id AND id_account = _id_account; 
    ELSE       
         IF EXISTS (SELECT id_supplier FROM suppliers WHERE id_supplier = _id_supplier AND id_account = _id_account)
         THEN
    		UPDATE suppliers SET company_name = _company_name,brand_name = _brand_name,description = _description,image = _image,address = _address,zipcode = _zipcode,city = _city,vat_number = _vat_number,email = _email,phone = _phone,position = _position,active = _active, update_date = now() WHERE id_supplier = _id_supplier AND id_account = _id_account;
            SELECT id_account,id_supplier,company_name,brand_name,description,image,address,zipcode,city,vat_number,email,phone,position,active,update_date,register_date FROM suppliers WHERE id_supplier = _id_supplier AND id_account = _id_account; 
         ELSE
            SELECT -2 as return_code;
         END IF;
    END IF;

ELSE
    SELECT -2 as return_code;
END IF;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_SET_USER` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_SET_USER`(
IN _id_user int(10),
IN _user_token varchar(255),
IN _firstname varchar(192),
IN _lastname varchar(192),
IN _email varchar(192),
IN _password varchar(192),
IN _verified tinyint(1),
IN _active tinyint(1),
IN _lang varchar(2)
)
BEGIN

DECLARE p_last_id INT UNSIGNED;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

SET p_last_id = 0;

IF(_id_user <> -1)
THEN
	IF EXISTS(SELECT id_user FROM users WHERE id_user = _id_user)
	THEN
		IF EXISTS(SELECT id_user FROM users WHERE id_user = _id_user AND email = _email)
		THEN
			UPDATE users SET  firstname = _firstname, lastname = _lastname,email = _email,password = _password, verified = _verified, active = _active, lang = _lang, update_date = now() WHERE id_user = _id_user;
			SELECT  id_user, user_token, firstname, lastname, email,password, verified, active, lang FROM users WHERE id_user = _id_user;
		ELSE
			IF NOT EXISTS(SELECT id_user FROM users WHERE email = _email)
			THEN
				UPDATE users SET firstname = _firstname, lastname = _lastname,email = _email,password = _password, verified = _verified, active = _active, lang = _lang, update_date = now() WHERE id_user = _id_user;
				SELECT  id_user, user_token, firstname, lastname, email,password, verified, active, lang FROM users WHERE id_user = _id_user;
			ELSE
				SELECT -2 as return_code;
			END IF;
		END IF;
	ELSE
		SELECT -2 as return_code;
	END IF;
ELSE
	IF NOT EXISTS(SELECT id_user FROM users WHERE email = _email)
	THEN
    
SELECT SUBSTRING(MD5(RAND()) from 1 for 20) into _user_token;
WHILE NOT EXISTS(SELECT count(1) FROM users WHERE user_token = _user_token)
DO
	SELECT SUBSTRING(MD5(RAND()) from 1 for 20) into _user_token;
END WHILE;
    
		INSERT into users(user_token, firstname, lastname, email,password, verified, active, lang,register_date) VALUES (_user_token, _firstname, _lastname, _email,_password, _verified,_active, _lang,now());
		SET p_last_id = last_insert_id();
		SELECT id_user, user_token, firstname, lastname, email,password, verified, active, lang FROM users WHERE id_user = p_last_id;
	ELSE
		SELECT -2 as return_code;
	END IF;
END IF;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_SET_USER_ACCOUNT` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_SET_USER_ACCOUNT`(
IN _id_user INT,
IN _id_account INT,
IN _id_role TINYINT(3)
)
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################


START TRANSACTION;
IF EXISTS (SELECT id_user from users where id_user = _id_user) AND EXISTS (SELECT id_account from accounts where id_account = _id_account) AND EXISTS (SELECT id_role from roles where id_role = _id_role)
THEN
	IF NOT EXISTS (SELECT id_user FROM users_accounts WHERE id_user = _id_user AND id_account = _id_account)
	THEN
		INSERT INTO users_accounts(id_user,id_account,id_role,register_date) values(_id_user,_id_account,_id_role,now());
		SELECT 0 as return_code;
	ELSE 
		IF NOT EXISTS (SELECT id_user FROM users_accounts WHERE id_user = _id_user AND id_account = _id_account AND id_role = _id_role)
		THEN
			UPDATE users_accounts SET id_role = _id_role WHERE id_user = _id_user AND id_account = _id_account;
			SELECT 0 as return_code;
		ELSE
			SELECT -3 as return_code;
		END IF;
	END IF;	
ELSE
    SELECT -2 as return_code;
END IF;
COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_SET_USER_PASSWORD_RESET` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_SET_USER_PASSWORD_RESET`(
IN _field int(10),
IN _email varchar(255),
IN _token varchar(255)
)
BEGIN
-- call SP_SET_USER_PASSWORD_RESET(1,'youongroup@gmail.com','01ffbc3ce448696a8d33')

DECLARE p_last_id INT UNSIGNED;

DECLARE _new_token VARCHAR(255);

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

SET p_last_id = 0;

	IF EXISTS(SELECT id_user FROM users WHERE email = _email)
	THEN

		IF(_field = 1)
        THEN
        
			SELECT SUBSTRING(MD5(RAND()) from 1 for 20) into _new_token;
			WHILE NOT EXISTS(SELECT count(1) FROM users_password_resets WHERE token = _new_token)
			DO
				SELECT SUBSTRING(MD5(RAND()) from 1 for 20) into _new_token;
			END WHILE;
            
            INSERT into users_password_resets(email,token,expires_at,created_at,update_date,register_date)
            VALUES(_email,_new_token,(SELECT DATE_ADD(now(), INTERVAL 24 HOUR)),now(),now(),now());
			SET p_last_id = last_insert_id();
            
            SELECT id_reset,email,token,expires_at FROM users_password_resets WHERE id_reset = p_last_id;
        
        END IF;
        
		IF(_field = 2)
        THEN
			
            IF(SELECT id_reset FROM users_password_resets WHERE email = _email AND token = _token AND used = 0)
            THEN
				IF(SELECT id_reset FROM users_password_resets WHERE email = _email AND token = _token and expires_at > now())
                THEN
					UPDATE users_password_resets SET used = 1, update_date = now() WHERE email = _email AND token = _token AND used = 0;
                    SELECT id_reset,email,token,expires_at FROM users_password_resets WHERE email = _email AND token = _token;
                ELSE
					SELECT -4 as return_code;
                END IF;
             ELSE
             		SELECT -3 as return_code;
            END IF;
		
        END IF;

    ELSE
		SELECT -2 as return_code;
    END IF;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `SP_SET_USER_REMEMBER_TOKEN` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 */ /*!50003 PROCEDURE `SP_SET_USER_REMEMBER_TOKEN`(
IN _id_user int(10),
IN _remember_token varchar(255)
)
BEGIN

DECLARE p_last_id INT UNSIGNED;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

SET p_last_id = 0;

	IF EXISTS(SELECT id_user FROM users WHERE id_user = _id_user)
	THEN
		UPDATE users SET remember_token = _remember_token,update_date = now() WHERE id_user = _id_user;
        SELECT id_user, user_token, firstname, lastname, email, password,remember_token,verified, active, lang,update_date,register_date FROM users WHERE id_user = _id_user;
    ELSE
		SELECT -2 as return_code;
    END IF;

COMMIT;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-07-13 16:41:07
