<?php

namespace App\OrdersManagement\Domain\Business;

use App\BaseMapper;
use App\Response\Response;
use App\OrdersManagement\Routines\Routines;
use Exception;
use App\Exceptions\RoutineQueryException;

class Mapper extends BaseMapper
{
    public $modelClass = Business::class;

    /**
     * categories
     *
     * @param array $parameters
     * @return Response
     * @throws RoutineQueryException|Exception
     */
    public function categories(array $parameters): Response
    {
        $query = Routines::SP_GET_BUSINESS_CATEGORIES;
        return $this->get($query, $parameters)
            ->mapInto(Category::class);
    }

    /**
     * sizes
     *
     * @param array $parameters
     * @return Response
     * @throws RoutineQueryException|Exception
     */
    public function sizes(array $parameters): Response
    {
        $query = Routines::SP_GET_BUSINESS_SIZES;
        return $this->get($query, $parameters)
            ->mapInto(Size::class);
    }
}
